@import "@/styles/variables";

.upload-file {
    &-container {
        display: flex;
        flex-direction: column;
    }

    &-item {
        width: 100%;
        min-height: 4rem;
        border-radius: $border-radius;
        border: 1px solid $gray-200;
        background: $white;
        padding: 16px 18px;
        display: flex;
        flex-direction: column;
        gap: 1rem;
        justify-content: space-between;

        &-error {
            border: 1px solid $color-error;
        }
    }

    &-thumbnail {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 50%;
        aspect-ratio: 394/178;
        position: relative;

        img {
            border-radius: 1rem 1rem 0 0;
            object-fit: cover;
            object-position: center;
        }
    }

    &-info {
        display: flex;
        font-weight: 500;
        gap: 0.75rem;
        align-items: center;
        justify-content: space-between;
    }

    &-detail {
        display: flex;
        flex-direction: column;
        gap: 0.5rem;
    }

    &-title {
        padding-bottom: 1rem;
    }

    &-input {
        width: 100%;
        border-radius: 8px;
        border: 1px solid $gray-300;
        background: $white;
        padding: 1rem;
        align-items: center;
        justify-content: center;
        text-align: center;

        &:hover {
            background-color: $gray-300;
        }

        &-label {
            cursor: pointer;
        }
    }

    &-subtitle {
        @include caption-2;

        display: flex;
        flex-direction: column;
        gap: 0.2rem;
        justify-content: center;
        align-items: center;

        &-first {
            display: flex;
            justify-content: center;
            gap: 0.3em;

            &-link {
                color: $primary-color;
                text-decoration: none;
            }
        }
    }

    &-name {
        @include caption-1m;
    }

    &-size-info {
        @include caption-1;

        color: $gray-600;
    }

    &-actions {
        align-self: center;
        display: flex;
        align-items: center;
        gap: 0.5rem;
        margin-left: auto;

        &-text {
            @include button-3;

            color: $secondary-color;
        }
    }

    .loader {
        width: 32px;
        height: 32px;
        border: 5px solid $gray-100;
        border-bottom-color: $primary-color;
        border-radius: 50%;
        display: inline-block;
        box-sizing: border-box;
        animation: rotation 2s linear infinite;
    }

    @keyframes rotation {
        0% {
            transform: rotate(0deg);
        }

        100% {
            transform: rotate(360deg);
        }
    }
}

.error {
    @include error-message;
}

.hidden {
    display: none;
}
